	include 'comdtc.inc/nolist'
c
	character*84 comlin
c
	equivalence (line, comlin)
c
	call idate (idmo, iddy, idyr)	! Initialize for test
c
 10	comlin = ' '			! Initialize each time
c
	read (5, 90), comlen, line
c
	if (comlen .eq. 0) go to 999
	line(comlen+1) = 0
c
	call dtctimcvt(it1, it2)
c
	do i = 1, icmln
	if (line(i) .eq. 0) line(i) = 26	! ^Z prints BLOT
	end do
c
	type 91, it1, it2, (line(i), i=1, 10), (line(i), i=1, 10)
c
	go to 10
c
 90	format(q, 84a1)
 91	format(x, 2i4, x, 10a1,/,10z3.2)
c
 999	continue
c
	end
